Foros del Web » Programando para Internet » PHP »

PHP5 o PHP4 ??

Estas en el tema de PHP5 o PHP4 ?? en el foro de PHP en Foros del Web. Saludos a todos. Me gusta mucho el nuevo modelo de clases y objetos en PHP 5, pero me topo con un problema: estoy por desarrollar ...
  #1 (permalink)  
Antiguo 07/12/2004, 19:39
dreglad
Invitado
 
Mensajes: n/a
Puntos:
Busqueda PHP5 o PHP4 ??

Saludos a todos.

Me gusta mucho el nuevo modelo de clases y objetos en PHP 5, pero me topo con un problema: estoy por desarrollar una aplicación bastante grande, donde no me puedo dar el lujo de cometer errores o comprometer la seguridad.
¿Ustedes creen que PHP (5.0.2) sea ya suficientemente estable como para no meterme en problemas?
¿Es mejor no arriesgarse y seguir usando el viejo PHP 4?

Cualquier comentario lo agradeceré.

Saludos!
  #2 (permalink)  
Antiguo 09/12/2004, 06:00
O_O
 
Fecha de Ingreso: enero-2002
Ubicación: Santiago - Chile
Mensajes: 34.417
Antigüedad: 15 años, 11 meses
Puntos: 126
Pues .. los creadores de PHP dicen que ya es estable la versión 5.x .. pero, como siempre pasa (hasta en las versiones 4.x) .. siempre veras nuevas revisiones que mejoran algunas funcionalidades o bien solventan algún tipo de "bugg" (error, problema ..).

Micro$oft también lo hace . .pero le llama "Service Pack" xDDDD .. así que no hay aplicación, ni lenguaje .. ni S.O. ... que se libre de "bugg" .. Para eso antes de que decidan que sea "versión final" .. hacen muchas "RC" (Relase Candidate: posible candidata a final).

Ahora, lo que tienes que ver además de si es estable o no . .es ver su disponibilidad en el "mercado". No sé si esa aplicación que vas a desarrollar va a caer en un servidor que tu puedas tener el control donde puedas instalar PHP 5 y estar atento a las revisiones de PHP que se hagan para actualizarlo. Si usas un servicio de hosting para tu aplicación .. ten presente que todavía no todos usan PHP 5, así que eso te podría plantear un problema si usas las funcionalidades de PHP (principalemnte sobre el nuevo modelo de POO) y luego no puedes disponer de un servicio de hosting con PHP 5.

Un saludo,

Un saludo,
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 05:03.